package cokr.xit.fims.sndb.service.bean;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Component;

import cokr.xit.fims.sndb.SndngHstry;
import cokr.xit.fims.sndb.SndbQuery;
import cokr.xit.fims.sndb.dao.SndngHstryMapper;
import cokr.xit.foundation.component.AbstractBean;
import cokr.xit.foundation.data.DataObject;

/**발송 이력 정보 관리 Bean
 *
 * <p>상세 설명:
 *
 * <pre>
 * ============ 변경 이력 ============
 * 2023-12-20	JoJH 최초 작성
 * ================================
 * </pre>
 */
@Component("sndngHstryBean")
public class SndngHstryBean extends AbstractBean {

	/** 발송 이력 정보 DAO */
	@Resource(name = "sndngHstryMapper")
	private SndngHstryMapper sndngHstryMapper;

	/**지정한 조건에 따라 발송 이력 목록을 조회하여 반환한다.
	 * @param req 발송 이력 조회 조건
	 * @return 발송 이력 목록
	 */
	public List<DataObject> getSndngHstryList(SndbQuery req) {
		return sndngHstryMapper.selectSndngHstryList(req);
	}

	/**지정한 조건에 따라 발송 이력 객체들을 반환한다.
	 * @param req 발송 이력 조회 조건
	 * @return 발송 이력 객체 목록
	 */
	public List<SndngHstry> getSndngHstrys(SndbQuery req) {
		return sndngHstryMapper.selectSndngHstrys(req);
	}

	/**발송 이력 정보를 등록한다.
	 * @param sndngHstry 발송 이력
	 * @return 저장 여부
	 * <ul><li>저장됐으면 true</li>
	 *     <li>그렇지 않으면 false</li>
	 * </ul>
	 */
	public boolean create(SndngHstry sndngHstry) {
		return sndngHstryMapper.insert(sndngHstry);
	}

	/**발송 이력 정보를 수정한다.
	 * @param sndngHstry 발송 이력
	 * @return 저장 여부
	 * <ul><li>저장됐으면 true</li>
	 *     <li>그렇지 않으면 false</li>
	 * </ul>
	 */
	public boolean update(SndngHstry sndngHstry) {
		return sndngHstryMapper.update(sndngHstry);
	}

	/**발송 이력 정보를 삭제한다.
	 * @param sndngHstry 발송 이력
	 * @return 저장 여부
	 * <ul><li>저장됐으면 true</li>
	 *     <li>그렇지 않으면 false</li>
	 * </ul>
	 */
	public boolean remove(SndngHstry sndngHstry) {
		return sndngHstryMapper.delete(sndngHstry);
	}

}
